Author Topic: Ashade  (Read 13301 times)

0 Members and 1 Guest are viewing this topic.

One Shot

  • Guest
Ashade
« on: September 24, 2004, 03:32:32 PM »
Does anyone have a lisp routine that will kill the Ashade layer?

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Ashade
« Reply #1 on: September 24, 2004, 04:06:48 PM »
Try this ....
Code: [Select]

(command "erase" (ssget "x" '((8 . "ASHADE"))))
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

CADaver

  • Guest
Ashade
« Reply #2 on: September 24, 2004, 05:22:08 PM »
Quote from: Keith
Try this ....
Code: [Select]

(command "erase" (ssget "x" '((8 . "ASHADE"))))


Add a purge to that:

Code: [Select]

(command "erase" (ssget "x" '((8 . "ASHADE")))
                "-purge" "la" "ashade" "n"
                "-purge" "bl" "ave_*" "n"
)
)


And bye-bye


(editted) make that a -purge

David Bethel

  • Swamp Rat
  • Posts: 656
Ashade
« Reply #3 on: September 24, 2004, 06:26:01 PM »
ASHADE layer can be and is usually locked as well, so you need to unlock it.  -David
R12 Dos - A2K

One Shot

  • Guest
Ashade
« Reply #4 on: September 28, 2004, 02:59:17 PM »
Can't get it to work.  Is there anything else that goes with it?

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Ashade
« Reply #5 on: September 28, 2004, 03:47:47 PM »
What is it ?
TheSwamp.org  (serving the CAD community since 2003)

One Shot

  • Guest
Ashade
« Reply #6 on: September 28, 2004, 04:40:57 PM »
Quote from: Mark Thomas
What is it ?

The code that is listed above.

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Ashade
« Reply #7 on: September 28, 2004, 04:47:39 PM »
What is the error you get?
Is the ASHADE layer locked? as noted above by David.

Did you try something like this;

Code: [Select]

(sslength (ssget "x" '((8 . "ASHADE"))))
TheSwamp.org  (serving the CAD community since 2003)

One Shot

  • Guest
Ashade
« Reply #8 on: September 28, 2004, 04:56:48 PM »
Quote from: Mark Thomas
What is the error you get?
Is the ASHADE layer locked? as noted above by David.

Did you try something like this;

Code: [Select]

(sslength (ssget "x" '((8 . "ASHADE"))))



Is there anyother coding to go with this?

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Ashade
« Reply #9 on: September 28, 2004, 06:29:13 PM »
Quote from: One Shot
Is there anyother coding to go with this?

Nope! That's it. Have a look at C:\<AutoCAD Install>\Help\acad_dev.chm.
TheSwamp.org  (serving the CAD community since 2003)

CADaver

  • Guest
Ashade
« Reply #10 on: September 28, 2004, 06:40:46 PM »
You need to be aware that layer ASHADE will return every time you issue a RENDER command

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Ashade
« Reply #11 on: September 28, 2004, 08:23:06 PM »
CADaver that may indeed be the issue....
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Ashade
« Reply #12 on: September 28, 2004, 08:49:42 PM »
I'm confused, what's wrong with the presence of the ashade layer, or the defpoints layer for that matter? I could be bothered if one of our users wanted either deleted; hello, bigger fish to fry.

I welcome enlightenment though, I miss the salient point more frequently than I'd like to admit.
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.comhttp://cadanalyst.slack.comhttp://linkedin.com/in/cadanalyst

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Ashade
« Reply #13 on: September 28, 2004, 08:55:19 PM »
well.... for me it is not the issue of whether the layer should or should not be deleted, it is whether it can be. The answer of course is yes it can be and the code in this thread shows how....
I learned long ago, don't bother asking too many questions, just give the boss what he wants. In this case OneShot is the boss and I for one was merely attempting to answer the question at hand, not convolute it with more questions.
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

One Shot

  • Guest
Ashade
« Reply #14 on: September 28, 2004, 09:04:43 PM »
Quote from: Keith
well.... for me it is not the issue of whether the layer should or should not be deleted, it is whether it can be. The answer of course is yes it can be and the code in this thread shows how....
I learned long ago, don't bother asking too many questions, just give the boss what he wants. In this case OneShot is the boss and I for one was merely attempting to answer the question at hand, not convolute it with more questions.



I am aware that it will return when the Render command is used.  The reason that I want to delete is to ensure that no one puts anything on that layer.  I will never delete the defpoints layer.  

Keith, thank you for your response.